#include "stdafx.h"
#include "cehttp.h"
#include "MyErrPage.h"
#include "httphelper.h"

#if !defined(_WIN32_WCE)
#include "stdio.h"		// for free()
#endif


MyErrPage::MyErrPage()
{
	WCHAR wszErrorHtml[MAX_PATH];

	GetCurrentDirW( wszErrorHtml, MAX_PATH );
	wcscat( wszErrorHtml, ERRORHTMLFILE );
	LoadFile( wszErrorHtml );
}

MyErrPage::~MyErrPage()
{

}

const char* MyErrPage::GetErrorPage( int nHttpStatus )
{
	char szHttpStatus[32];
	char* pszFileName = NULL;
	
	sprintf( szHttpStatus, "%3d", nHttpStatus );
	pszFileName = GetValueEx( szHttpStatus );

	if( NULL == pszFileName )
		return NULL;

	return pszFileName;
}
